Bug 69212 - rh 7.3 installer (upgrade from 7.2) crashed on disk 2
rh 7.3 installer (upgrade from 7.2) crashed on disk 2
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-18 20:53 EDT by Need Real Name
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:49:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda dump from rh7.3 upgrade (disk 2) (89.47 KB, text/plain)
2002-07-18 20:56 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2002-07-18 20:53:43 EDT
Description of Problem:

HW - Celeron 500 +/-
I think 128 MB

This happened twice, about 5 
hours into the upgrade.

I am using original retail CDs

See attached report for "anaconda 
failed"
---------------------------------

Version-Release number of selected component (if applicable):

Reproduces 
Every time (tried it twice)
How Reproducible:


Steps to Reproduce:
1. Start install as 
upgrade (no customization)
2. wait
3. wait
4. wait (why is the install sooooo slow? it 
didn't used to be)
5. get a crash with about 100 rpms left out of ~ 640 to be installed

Actual 
Results:
got a box that says anacoda crashed, copy this message to bug report here on floppy, 
then you have to start over.


Expected Results:
the install should complete. Also I 
think, but I am not sure, that the rpm database is not up to date, which means when I restart, it tries 
to do the entire upgrade again instead of the remaining rpms.


See attachment for log 
information
Additional Information:
Comment 1 Need Real Name 2002-07-18 20:56:07 EDT
Created attachment 65885 [details]
anaconda dump from rh7.3 upgrade (disk 2)
Comment 2 Need Real Name 2002-07-18 21:22:42 EDT
i did a query - looks like there are a lot of similar reports. The usual response seems to be to check 
media, and everyone says it checks out, and the crashes continue. Then the advice is to go back to 
the retailer.

I am sure you can appreciate that Fry's is not going to be able to do anything 
except give me another set of disks. these are production machines. I can't be expected to gamble 
with running back and forth to Frys all the time, and given the amount of time it takes to do an 
install, and that the bug occurs when it is 80% done (~ 4 hours into it if I sit and watch and promptly 
change the CDs) I can't keep trying on a lark to see what will happen.

These CDs did work on 
another machine, a P233MMX. That was in text mode, this one was graphic mode - is that the 
problem?

Somewhere durning the install, there was a message about a rpm not being found. It 
took a tap on the CD door and then voila, it was found. Perhaps the CDs are manufactured badly? 
Otheres have reported that symptom to it appears.

Given the number of similar reports, with 
what level of confidence should I treat those? It sounds more to me like there is either a bug in the 
software, which has been reported numerous times now and I would appreciate knowing what effort 
is being made to identify and repair it or provide a workaround, or, there is a problem in the 
manufacturing of the disks themselves, in which case I would appreciate you just sending me disks 
that you have personally run an upgrade on a similar connfiguration, so that I can get on with 
it.

Contact me via email to discuss how to send me another set of disks, or provide me with a 
workaround, such as :

- customising the rpm list. Tell me which one is causing the problem and I 
will drop it. Also tell me why you think no others will cause the problem. I wil be happy to install 
that rpm by hand before or after the install (probably before in case there are 
dependencies?)

- provide me with a script that will allow me to continue the install from the 
current point. Again, I will be happy to install any rpms that are causing issues by 
hand.

Contact me by email if you need additional info from install logs to prepare 
instructions for me.

Once the immediate issue of getting this machine upgraded is taken care 
of, there will still be the issue of getting me funcitonal media, as I have otgher machines to 
upgrade as well, and I expect to build more machines during the lifetime of this 
release.

Given that I have paid money for the CDs, I would like to know that I got more out of the 
box then a 30 day basic install support contract (does that cover this issue, btw?)

Comment 3 Need Real Name 2002-07-19 17:56:26 EDT
i was just looking in the upgrade.log that was left from the aborted procedure.

I noticed 
something fishy. Here are the last few lines:

....
Upgrading kde-i18n-Turkish-3.0.0-
5.
Upgrading kde-i18n-Ukrainian-3.0.0-5.
Upgrading kernel-doc-2.4.18-3.
Upgrading libgal7-
0.8-7.
Upgrading lynx-2.8.4-18.
[eof]

I still had disk 2 mounted in the cd-rom drive, but 
that last rpm (lynx) is actually on disk 3!

This might point out a bad table of which rpm is on 
which disk, bad dependency tables, or who knows what else.

A lot of people have reported this 
problem. From the bug reports I have read,, the general consensus has been to deny it is a bug and 
hope people go away. This is "not good (tm)".

I admit I only read a fraction of the reports, but I 
found no helpful workarounds, nor even this kind of insight that the installer is trying to 
install a rpm that is not on the disk it has currently moounted.

I do not know if everyone else is 
also dying on this rpm, or, if this is the actual problem, if it is limited to this rpm.

Please 
let me know if this is a useful clue or of you need more details.
Comment 4 Michael Fulbright 2002-07-23 12:10:11 EDT
Please test your CDs following these instructions:

   http://people.redhat.com/~msf/mediacheck.html

It appears your CD(s) are bad.
Comment 5 Michael Fulbright 2002-08-13 12:07:56 EDT
Closing due to inactivity - please reopen if you have additional information
regarding this issue report.
Comment 6 Red Hat Bugzilla 2006-02-21 13:49:16 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.